classification
Title: windows python launcher should support explicit 64-bit version
Type: enhancement Stage: resolved
Components: Windows Versions: Python 3.5
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: loewis, steve.dower, theller, tim.golden, zach.ware
Priority: normal Keywords:

Created on 2014-01-25 16:18 by theller, last changed 2019-08-02 22:06 by steve.dower. This issue is now closed.

Messages (4)
msg209215 - (view) Author: Thomas Heller (theller) * (Python committer) Date: 2014-01-25 16:18
The windows python launcher supports the '-3.3' resp. '-3.3-32' command line switches to ask for 'the best 3.3' version resp. 'the 32-bit 3.3' version, but does not support a '-3.3-64' switch to explicitely request the 64-bit version of Python.

I suggest that this support should be added.
msg235811 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2015-02-12 11:38
Having read https://docs.python.org/3/using/windows.html#customizing-default-python-versions I'm not convinced that this is needed, as the first sentence of the fifth paragraph states "On 64-bit Windows with both 32-bit and 64-bit implementations of the same (major.minor) Python version installed, the 64-bit version will always be preferred."
msg235822 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2015-02-12 14:09
It may be useful if you want an error rather than the 32-bit version, though there are other ways to check that if it's critical and it probably is better in the script.

Patches welcome :)
msg348922 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-08-02 22:06
This has been implemented.
History
Date User Action Args
2019-08-02 22:06:03steve.dowersetstatus: open -> closed
resolution: out of date
messages: + msg348922

stage: resolved
2019-03-15 23:08:00BreamoreBoysetnosy: - BreamoreBoy
2015-02-12 14:09:55steve.dowersetmessages: + msg235822
2015-02-12 11:38:12BreamoreBoysetversions: + Python 3.5
nosy: + tim.golden, BreamoreBoy, zach.ware, steve.dower

messages: + msg235811

components: + Windows
2014-01-27 01:14:52berker.peksagsetnosy: + loewis
2014-01-25 16:18:17thellercreate